> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates an account attribute value



## OpenAPI

````yaml put /v1/accounts/attributes/{id}
openapi: 3.0.0
info:
  title: Thena Platform
  description: The Thena Platform API description
  version: '1.0'
  contact: {}
servers:
  - url: https://platform.thena.ai
    description: production
security:
  - bearerAuth: []
tags:
  - name: Thena Platform APIs
    description: ''
paths:
  /v1/accounts/attributes/{id}:
    put:
      tags:
        - Accounts
      summary: Updates an account attribute value
      operationId: AccountAttributeValueActionController_updateAccountAttributeValue
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAccountAttributeValueDto'
      responses:
        '200':
          description: Operation successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountAttributeValueResponseDto'
        '401':
          description: User is not authenticated!
        '403':
          description: User does not have access to this resource!
        '404':
          description: Resource not found!
        '429':
          description: Too many requests!
        '500':
          description: Something went wrong!
        '503':
          description: This service/resource is currently unavailable.
components:
  schemas:
    UpdateAccountAttributeValueDto:
      type: object
      properties:
        value:
          type: string
          description: Attribute value
          example: PROSPECT
        isDefault:
          type: boolean
          description: Whether the attribute is default
          example: false
    AccountAttributeValueResponseDto:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the attribute value
        attribute:
          type: string
          description: Attribute type
          example: account_status
          enum:
            - account_status
            - account_classification
            - contact_type
            - activity_type
            - activity_status
            - note_type
            - task_type
            - task_status
            - task_priority
        value:
          type: string
          description: Attribute value
          example: PROSPECT
        isDefault:
          type: boolean
          description: Whether this value is default for the attribute
        createdAt:
          type: string
          description: The creation date of the attribute value
        updatedAt:
          type: string
          description: The update date of the attribute value
      required:
        - id
        - attribute
        - value
        - isDefault
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Enter the bearer token

````